# History file 'cknfft.h' to generate and plot Von Karman correlation
# function according to the equations given in
#     Klimes, L. (1997): Correlation functions of random media.
#         In: Seismic Waves in Complex 3-D Structures, Report 6.
#         Department of Geophysics, Charles University, Prague.
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required
  chk.pl: "forms/" "mul.cal"
  chk.pl: "forms/" "div.cal"
  chk.pl: "forms/" "echo.pl"

# Values describing the random medium
  NDIM=1  POWERN=-0.1  ACORG=0.  ACOR=10.

# Analytical calculation of the correlation function by 'grdckn.for'
# according to the equation K.4
  CKNOUT='ckn.out'
  grdckn:

# Calculation of the correlation function by FFT
# according to equations 1.14, 2.1 and 3.1
  O1=-31.415926  D1=0.0306796  N1=2048
  grdcor:
  CAL='mul.cal' GRD1='grdcor.out' GRD2='grdcor.out' GRD3='grdcal.out'
  grdcal:
  FFTINR='grdcal.out' FFTOUTR='fft.out'
  O1OUT=-10.  D1OUT=0.1  N1OUT=201
  FFT=1.
  grdfft:

# Plots of the 1-D functions stored in files 'ckn.out' and 'fft.out'
  KSIG=0  DT=0.1  NFFT=512  MPTS=201
  echo.pl: "/" ">>ckn.out"
  echo.pl: "/" ">>fft.out"
  SIGDIG='ckn.out'  SS=' '  SIGPLOT='ckn.ps'  ss:
  SIGDIG='fft.out'  SS=' '  SIGPLOT='fft.ps'  ss:

# Comparisson of the results
  CAL='div.cal' GRD1='fft.out' GRD2='ckn.out' GRD3='div.out'
  grdcal:

